## freenet.support.CPUInformation
Interface IntelCPUInfo

All Superinterfaces:
  CPUInfo

All Known Implementing Classes:
  CPUID.IntelInfoImpl

public interface IntelCPUInfo
extends CPUInfo

Author:
  Iakin An interface for classes that provide lowlevel information about Intel CPU's free (adj.): unencumbered; not under the control of others Written by Iakin in 2004 and released into the public domain with no warranty of any kind, either expressed or implied. It probably won't make your computer catch on fire, or eat your children, but it might. Use at your own risk.

Method Summary
`boolean` `IsPentium2Compatible()`
`boolean` `IsPentium3Compatible()`
`boolean` `IsPentium4Compatible()`
`boolean` `IsPentiumCompatible()`
`boolean` `IsPentiumMMXCompatible()`

Methods inherited from interface freenet.support.CPUInformation.CPUInfo
`getCPUModelString, getVendor, hasMMX, hasSSE, hasSSE2, IsC3Compatible`

Method Detail

### IsPentiumCompatible

    public boolean IsPentiumCompatible()

  Returns:
    true iff the CPU is at least a Pentium CPU.

### IsPentiumMMXCompatible

    public boolean IsPentiumMMXCompatible()

  Returns:
    true iff the CPU is at least a Pentium which implements the MMX instruction/feature set.

### IsPentium2Compatible

    public boolean IsPentium2Compatible()

  Returns:
    true iff the CPU implements at least the p6 instruction set (Pentium II or better). Please note that an PentimPro CPU causes/should cause this method to return false (due to that CPU using a very early implementation of the p6 instruction set. No MMX etc.)

### IsPentium3Compatible

    public boolean IsPentium3Compatible()

  Returns:
    true iff the CPU implements at least a Pentium III level of the p6 instruction/feature set.

### IsPentium4Compatible

    public boolean IsPentium4Compatible()

  Returns:
    true iff the CPU implements at least a Pentium IV level instruction/feature set.